import type { FileSizeUnboxed } from "./FileSizeUnboxed";
import type { FileTagUnboxed } from "./FileTagUnboxed";
import type { MimeTypeUnboxed } from "./MimeTypeUnboxed";
import type { UserIdUnboxed } from "./UserIdUnboxed";
/**
 * File upload initialization request.
 */
export declare type BeginUploadRequestDto = {
    fileSize: FileSizeUnboxed;
    mime: MimeTypeUnboxed;
    tag?: FileTagUnboxed;
    userId?: UserIdUnboxed;
};
